:root {
    --accent: #0d7fea;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: var(--bg);
}

.page {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.main-wrapper {
    height: 100%;
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.6rem;
    padding: 1rem;
    overflow-y: auto;
    position: relative;

    padding-bottom: 0;
}

.header {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.text {
    color: var(--text);
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.text.title {
    font-size: 1.6rem;
    font-weight: 700;
}

.text.subtitle {
    font-size: 0.9rem;
    font-weight: 200;
    opacity: 0.7;
}

.portrait {
    height: 8rem;
    width: 8rem;
    background-color: #fff;
    border-radius: 50%;
    border: solid 0.1rem var(--border);

    background-image: url("/shared/portrait.png");
    background-position: bottom center;
    background-size: 95%;
    background-repeat: no-repeat;
}

.socials-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
    z-index: 3;
}

.social-icon-container {
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    cursor: pointer;
    transition: transform 0.15s;
}

.social-icon-container:hover .social-icon{
    background-color: var(--accent);
    opacity: 1;
}

.nav-btn {
    opacity: 0.7;
    font-weight: 700;
}

.nav-btn:hover {
    color: var(--accent);
    opacity: 1;
}

.container{
    border: 0.1rem solid var(--border);
    border-radius: 0.5rem;

    background-color: var(--surface-accent);
    /* width: 40%; */
    padding: 1rem 2rem;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    gap: 0.6rem;
}

.darkmode .container{
    background-color: var(--surface);
}

/*#region ICONS*/

.social-icon {
    height: 100%;
    width: 100%;
    background-color: var(--text);
    -webkit-mask-size: contain;
    mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    opacity: 0.8;
}

.inprnt {
    -webkit-mask-image: url("/shared/socials/inprnt.svg");
    mask-image: url("/shared/socials/inprnt.svg");
}

.instagram {
    -webkit-mask-image: url("/shared/socials/insta.svg");
    mask-image: url("/shared/socials/insta.svg");
}

.kofi {
    -webkit-mask-image: url("/shared/socials/kofi.svg");
    mask-image: url("/shared/socials/kofi.svg");
}

.patreon {
    -webkit-mask-image: url("/shared/socials/patreon.svg");
    mask-image: url("/shared/socials/patreon.svg");
}

.twitch {
    -webkit-mask-image: url("/shared/socials/twitch.svg");
    mask-image: url("/shared/socials/twitch.svg");
}

.twitter {
    -webkit-mask-image: url("/shared/socials/twitter.svg");
    mask-image: url("/shared/socials/twitter.svg");
}

.straw {
    -webkit-mask-image: url("/shared/socials/strawpage.svg");
    mask-image: url("/shared/socials/strawpage.svg");
}

.tumblr {
    -webkit-mask-image: url("/shared/socials/tumblr.svg");
    mask-image: url("/shared/socials/tumblr.svg");
}

/*#endregion*/